Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.structure.server
Class SimpleStructureServer

    java.lang.Object
      org.biojava.bio.structure.server.SimpleStructureServer

All Implemented Interfaces:
  StructureListener, StructureServer

    public class SimpleStructureServer

extends Object
implements StructureServer, StructureListener

Field Summary
`static Logger` | `logger`

Constructor Summary
`SimpleStructureServer()`

Method Summary
`void` | `addStructureListener(StructureListener listener)`
`void` | `clearStructureListeners()`
`int` | `getCacheSize()`
`int` | `getNrCPUs()`
`PDBInstallation` | `getPDBInstallation()`
`boolean` | `hasNextStructure()`
`void` | `initCache()`
`void` | `modifiedStructure(StructureEvent event)`
`void` | `newStructure(StructureEvent event)`
`void` | `obsoleteStructure(StructureEvent event)`
`void` | `requestNextStructure(StructureListener listener)`
`void` | `setCacheSize(int cacheSize)` set how many structures should be kept in memory - for quicker access
`void` | `setPDBInstallation(PDBInstallation installation)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### logger

    public static final Logger logger

Constructor Detail

### SimpleStructureServer

    public SimpleStructureServer()

Method Detail

### initCache

    public void initCache()

### addStructureListener

    public void addStructureListener(StructureListener listener)

  Specified by:
    `addStructureListener` in interface `StructureServer`

### clearStructureListeners

    public void clearStructureListeners()

  Specified by:
    `clearStructureListeners` in interface `StructureServer`

### getNrCPUs

    public int getNrCPUs()

### getPDBInstallation

    public PDBInstallation getPDBInstallation()

  Specified by:
    `getPDBInstallation` in interface `StructureServer`

### requestNextStructure

    public void requestNextStructure(StructureListener listener)

  Specified by:
    `requestNextStructure` in interface `StructureServer`

### setCacheSize

    public void setCacheSize(int cacheSize)

  Description copied from interface: `StructureServer`
  set how many structures should be kept in memory - for quicker access

  Specified by:
    `setCacheSize` in interface `StructureServer`

### getCacheSize

    public int getCacheSize()

  Specified by:
    `getCacheSize` in interface `StructureServer`

### setPDBInstallation

    public void setPDBInstallation(PDBInstallation installation)

  Specified by:
    `setPDBInstallation` in interface `StructureServer`

### hasNextStructure

    public boolean hasNextStructure()

  Specified by:
    `hasNextStructure` in interface `StructureServer`

### modifiedStructure

    public void modifiedStructure(StructureEvent event)

  Specified by:
    `modifiedStructure` in interface `StructureListener`

### newStructure

    public void newStructure(StructureEvent event)

  Specified by:
    `newStructure` in interface `StructureListener`

### obsoleteStructure

    public void obsoleteStructure(StructureEvent event)

  Specified by:
    `obsoleteStructure` in interface `StructureListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD